## Apache Zeta Components Manual :: Docs For Class ezcDocumentWikiImageNode

### Document::ezcDocumentWikiImageNode

### Class ezcDocumentWikiImageNode

Struct for Wiki document inline image syntax tree nodes

Source for this file: /Document/src/document/wiki/nodes/image.php

    ezcBaseStruct
       |
       --ezcDocumentWikiNode
          |
          --ezcDocumentWikiInlineNode
             |
             --ezcDocumentWikiImageNode

Version: | //autogen//

### Member Variables

public string | `$alignement` Image alignement
public int | `$height` Image height
public array | `$resource = array()` Image resource description
public array | `$title = array()` Image title
public int | `$width` Image width

### Inherited Member Variables

From ezcDocumentWikiNode
public | `ezcDocumentWikiNode::$line`
public | `ezcDocumentWikiNode::$nodes`
public | `ezcDocumentWikiNode::$position`
public | `ezcDocumentWikiNode::$token`

### Inherited Methods

From ezcDocumentWikiNode
public void | `ezcDocumentWikiNode::__construct()` Construct Wiki node

Documentation generated by phpDocumentor 1.4.3